API references
Merchant API

List installment issuers

Returns the card issuers the authenticated merchant can take installment payments with, sorted by display name.

Use an issuer's issuer_id with filter-payments to list the payments made with cards from that issuer.

Returns an empty array when the merchant does not offer installments.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-installment-issuers HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array<any>
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
issuer_id
string

Always present. The ID of the installment issuer. Use it as issuer_id with filter-payments.

display_name
string

Always present. The display name of the installment issuer, as configured in admin.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.